summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/09-torsocks-apps
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2015-08-11 12:48:05 +0000
committerintrigeri <intrigeri@boum.org>2015-08-11 13:36:01 +0000
commit72647c7b2c674c7488a32d8942562d1d692b9d94 (patch)
treeda6b690340863be55540ea60ac80cc86d490a24b /config/chroot_local-hooks/09-torsocks-apps
parent238dbf866a4e88e43157ef6ae9e95e05fbe90534 (diff)
Replace patches that wrapped apps with torsocks with dynamic patching with a hook.
This should avoid the need to maintain these patches and avoid them becoming fuzzy, especially when migrating to new versions of Debian.
Diffstat (limited to 'config/chroot_local-hooks/09-torsocks-apps')
-rwxr-xr-xconfig/chroot_local-hooks/09-torsocks-apps12
1 files changed, 12 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/09-torsocks-apps b/config/chroot_local-hooks/09-torsocks-apps
new file mode 100755
index 0000000..e90d985
--- /dev/null
+++ b/config/chroot_local-hooks/09-torsocks-apps
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+echo "Wrapping some applications with torsocks"
+
+APPS="gobby-0.5 liferea seahorse whisperback"
+
+for app in $APPS; do
+ sed -i'' --regexp-extended 's,Exec=(.*),Exec=torsocks \1,' \
+ "/usr/share/applications/${app}.desktop"
+done